Package org.eclipse.lemminx.extensions.xerces.xmlmodel

## Class XMLModelAwareParserConfiguration

- java.lang.Object
- - org.apache.xerces.util.ParserConfigurationSettings
  - - org.apache.xerces.parsers.XML11Configuration
    - - org.apache.xerces.parsers.XIncludeAwareParserConfiguration
      - - org.eclipse.lemminx.extensions.xerces.xmlmodel.XMLModelAwareParserConfiguration

All Implemented Interfaces:
  `org.apache.xerces.parsers.XML11Configurable`, `org.apache.xerces.xni.parser.XMLComponentManager`, `org.apache.xerces.xni.parser.XMLParserConfiguration`, `org.apache.xerces.xni.parser.XMLPullParserConfiguration`

    public class XMLModelAwareParserConfiguration
    extends org.apache.xerces.parsers.XIncludeAwareParserConfiguration

This class is the configuration used to parse XML 1.0 and XML 1.1 documents and provides support for xml-model association.

### Field Summary

Fields
`static String` `ERROR_REPORTER_FOR_GRAMMAR`
`protected boolean` `xmlModelEnabled`

### Fields inherited from class org.apache.xerces.parsers.XIncludeAwareParserConfiguration

`ALLOW_UE_AND_NOTATION_EVENTS, fCurrentNSContext, fNonXIncludeNSContext, fXIncludeEnabled, fXIncludeHandler, fXIncludeNSContext, NAMESPACE_CONTEXT, XINCLUDE_FEATURE, XINCLUDE_FIXUP_BASE_URIS, XINCLUDE_FIXUP_LANGUAGE, XINCLUDE_HANDLER`

### Fields inherited from class org.apache.xerces.parsers.XML11Configuration

`ALLOW_JAVA_ENCODINGS, CONTINUE_AFTER_FATAL_ERROR, DATATYPE_VALIDATOR_FACTORY, DOCUMENT_SCANNER, DTD_PROCESSOR, DTD_SCANNER, DTD_VALIDATOR, ENTITY_MANAGER, ENTITY_RESOLVER, ERROR_HANDLER, ERROR_REPORTER, EXTERNAL_GENERAL_ENTITIES, EXTERNAL_PARAMETER_ENTITIES, fCommonComponents, fComponents, fConfigUpdated, fCurrentDTDScanner, fCurrentDVFactory, fCurrentScanner, fDatatypeValidatorFactory, fDocumentHandler, fDTDContentModelHandler, fDTDHandler, fDTDProcessor, fDTDScanner, fDTDValidator, fEntityManager, fErrorReporter, fGrammarPool, fInputSource, fLastComponent, fLocale, fNamespaceScanner, fNonNSDTDValidator, fNonNSScanner, fParseInProgress, fSchemaValidator, fSymbolTable, fValidationManager, fVersionDetector, fXML11Components, fXML11DatatypeFactory, fXML11DocScanner, fXML11DTDProcessor, fXML11DTDScanner, fXML11DTDValidator, fXML11NSDocScanner, fXML11NSDTDValidator, GENERATE_SYNTHETIC_ANNOTATIONS, HONOUR_ALL_SCHEMALOCATIONS, ID_IDREF_CHECKING, IDENTITY_CONSTRAINT_CHECKING, IGNORE_XSI_TYPE, JAXP_SCHEMA_LANGUAGE, JAXP_SCHEMA_SOURCE, LOAD_EXTERNAL_DTD, LOCALE, NAMESPACE_BINDER, NAMESPACE_GROWTH, NAMESPACES, NORMALIZE_DATA, NOTIFY_BUILTIN_REFS, NOTIFY_CHAR_REFS, PRINT_EXCEPTION_STACK_TRACE, ROOT_ELEMENT_DECL, ROOT_TYPE_DEF, SCHEMA_AUGMENT_PSVI, SCHEMA_DV_FACTORY, SCHEMA_ELEMENT_DEFAULT, SCHEMA_LOCATION, SCHEMA_NONS_LOCATION, SCHEMA_VALIDATOR, SYMBOL_TABLE, TOLERATE_DUPLICATES, UNPARSED_ENTITY_CHECKING, USE_GRAMMAR_POOL_ONLY, VALIDATE_ANNOTATIONS, VALIDATION, VALIDATION_MANAGER, WARN_ON_DUPLICATE_ATTDEF, WARN_ON_DUPLICATE_ENTITYDEF, WARN_ON_UNDECLARED_ELEMDEF, XML_STRING, XML11_DATATYPE_VALIDATOR_FACTORY, XMLGRAMMAR_POOL, XMLSCHEMA_FULL_CHECKING, XMLSCHEMA_VALIDATION`

### Fields inherited from class org.apache.xerces.util.ParserConfigurationSettings

`fFeatures, fParentSettings, fProperties, fRecognizedFeatures, fRecognizedProperties, PARSER_SETTINGS`

### Constructor Summary

Constructors
`XMLModelAwareParserConfiguration()` Default constructor.
`XMLModelAwareParserConfiguration​(org.apache.xerces.util.SymbolTable symbolTable)` Constructs a parser configuration using the specified symbol table.
`XMLModelAwareParserConfiguration​(org.apache.xerces.util.SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)` Constructs a parser configuration using the specified symbol table and grammar pool.
`XMLModelAwareParserConfiguration​(org.apache.xerces.util.SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool, LSPErrorReporterForXML reporterForGrammar)` Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkProperty​(String propertyId)`
`protected void` `configurePipeline()`
`protected void` `configureXML11Pipeline()`
`Object` `getProperty​(String propertyId)`
`org.apache.xerces.impl.XMLErrorReporter` `getReporterForGrammar()`

### Methods inherited from class org.apache.xerces.parsers.XIncludeAwareParserConfiguration

`getFeature, setFeature`

### Methods inherited from class org.apache.xerces.parsers.XML11Configuration

`addCommonComponent, addComponent, addRecognizedParamsAndSetDefaults, addXML11Component, checkFeature, cleanup, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getLocale, parse, parse, reset, resetCommon, resetXML11, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler, setInputSource, setLocale, setProperty`

### Methods inherited from class org.apache.xerces.util.ParserConfigurationSettings

`addRecognizedFeatures, addRecognizedProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.xerces.xni.parser.XMLParserConfiguration

`addRecognizedFeatures, addRecognizedProperties`

### Field Detail

#### ERROR_REPORTER_FOR_GRAMMAR

    public static final String ERROR_REPORTER_FOR_GRAMMAR

See Also:
  Constant Field Values

#### xmlModelEnabled

    protected boolean xmlModelEnabled

### Constructor Detail

#### XMLModelAwareParserConfiguration

    public XMLModelAwareParserConfiguration()

Default constructor.

#### XMLModelAwareParserConfiguration

    public XMLModelAwareParserConfiguration​(org.apache.xerces.util.SymbolTable symbolTable)

Constructs a parser configuration using the specified symbol table.

Parameters:
  `symbolTable` - The symbol table to use.

#### XMLModelAwareParserConfiguration

    public XMLModelAwareParserConfiguration​(org.apache.xerces.util.SymbolTable symbolTable,
                                            org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)

Constructs a parser configuration using the specified symbol table and grammar pool.

Parameters:
  `symbolTable` - The symbol table to use.
  `grammarPool` - The grammar pool to use.

#### XMLModelAwareParserConfiguration

    public XMLModelAwareParserConfiguration​(org.apache.xerces.util.SymbolTable symbolTable,
                                            org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool,
                                            LSPErrorReporterForXML reporterForGrammar)

Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

Parameters:
  `symbolTable` - The symbol table to use.
  `grammarPool` - The grammar pool to use.
  `reporterForGrammar` - The parent settings.

### Method Detail

#### configurePipeline

    protected void configurePipeline()

Overrides:
  `configurePipeline` in class `org.apache.xerces.parsers.XIncludeAwareParserConfiguration`

#### configureXML11Pipeline

    protected void configureXML11Pipeline()

Overrides:
  `configureXML11Pipeline` in class `org.apache.xerces.parsers.XIncludeAwareParserConfiguration`

#### checkProperty

    protected void checkProperty​(String propertyId)
                          throws org.apache.xerces.xni.parser.XMLConfigurationException

Overrides:
  `checkProperty` in class `org.apache.xerces.parsers.XML11Configuration`
Throws:
  `org.apache.xerces.xni.parser.XMLConfigurationException`

#### getProperty

    public Object getProperty​(String propertyId)
                       throws org.apache.xerces.xni.parser.XMLConfigurationException

Specified by:
  `getProperty` in interface `org.apache.xerces.xni.parser.XMLComponentManager`
Specified by:
  `getProperty` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
Overrides:
  `getProperty` in class `org.apache.xerces.parsers.XML11Configuration`
Throws:
  `org.apache.xerces.xni.parser.XMLConfigurationException`

#### getReporterForGrammar

    public org.apache.xerces.impl.XMLErrorReporter getReporterForGrammar()